# $Revision: 1.7 $, $Date: 2002/09/16 21:14:12 $
Summary:	WAV file manipulation tools
Summary(pl):	Narzdzia do manipulacji plikami WAV
Name:		audiocut
Version:	0.6
Release:	2
License:	GPL
Group:		Applications/Sound
Source0:	http://www.slon.net/~gody/audiocut/%{name}-%{version}.tgz
Patch0:		%{name}-make.patch
Patch1:		%{name}-misc.patch
URL:		http://www.slon.net/~gody/audiocut/
BuildRequires:	libsndfile-devel >= 1.0.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Audiocut is package of some small programs to manipulate wav files
based on excelent libsndfile library.

%description -l pl
Audiocut to zbir maych programikw do manipulowania plikami wav,
oparty na znakomitej bibliotece libsndfile.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	cc=%{__cc} \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install wavtrim wavprint wavcat wavtime wavsplit $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: audiocut.spec,v $
Revision 1.7  2002/09/16 21:14:12  marcus
- rel.2.
- fix for building with libsndfile >= 1.0.1

Revision 1.6  2002/04/25 15:49:42  arturs
fixed a small typo

Revision 1.5  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:12:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/09/03 08:33:57  kloczek
- pass macros in CC, LDFLAGS nad CFLAGS,
- simplifications in %install.

Revision 1.1  2001/09/03 08:15:18  zagrodzki
- initial release
